curl --request GET \
--url https://api.wodup.dev/api/public/workouts/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.wodup.dev/api/public/workouts/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.wodup.dev/api/public/workouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "Back Squat 5 reps",
"details": {
"movements": [
{
"id": "mv_fT0m3viH",
"load": null,
"reps": "5"
}
],
"rest": {
"type": "as_needed"
},
"type": "Strength"
},
"movements": [
{
"complex_details": null,
"description": null,
"has_calories": false,
"has_distance": false,
"has_duration": false,
"has_height": false,
"has_load": true,
"has_power": false,
"has_reps": true,
"id": "mv_fT0m3viH",
"name": "Back Squat",
"source": "wodup",
"video": {
"id": "dQw4w9WgXcQ",
"service": "youtube"
}
}
],
"name": null,
"type": "Strength"
}{
"errors": {}
}{
"errors": {}
}Get a workout
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Only used by platform integrations
ID of gym to execute on behalf of
"gym_123abc"
Path Parameters
ID of workout to retrieve
123
Response
Workout
Workout object
A human readable description of the workout
A workout's structure, one object shape per workout type, discriminated by type. The AccessoryWorkDetails and WeightliftingTotalDetails members are deprecated and appear only in historical workouts.
- AmrapDetails
- CardioDetails
- CardioIntervalsDetails
- DeathByDetails
- EmomDetails
- FgbDetails
- ForTimeDetails
- FranStyleDetails
- GenericDetails
- MaxRepsDetails
- RoundsForTimeDetails
- StrengthDetails
- TabataDetails
- TwelveDaysDetails
- WarmUpDetails
- AccessoryWorkDetails
- WeightliftingTotalDetails
Show child attributes
Show child attributes
Movement objects referenced by this workout
Show child attributes
Show child attributes
Workout type. AccessoryWork and WeightliftingTotal are deprecated legacy types returned only for historical workouts; they cannot be created.
Amrap, Cardio, CardioIntervals, DeathBy, Emom, Fgb, ForTime, FranStyle, Generic, MaxReps, RoundsForTime, Strength, Tabata, TwelveDays, WarmUp, AccessoryWork, WeightliftingTotal An official name for the workout